Shop Forums WordPress Plugins Are you sure you want to do this?

Viewing 11 reply threads
  • Author
    Posts
    • #4474
      Jennifer Anderson
      Participant

      Just installed the Opt Out and Dig4est plugins.

      I get this error when I try to modify my bbpress profiles with the Opt Out plugin activated. I click Update and it says, “Are you sure you want to do this?” and I can go no further. Profile is not updated. But when I deactivate it, the profile will update just fine.

      Also, not sure its related or not, but when I installed the Digest plugin, the option did not appear in my bbpress profile edit page. Does that only show when they have opted out or something?

    • #4476
      vinny
      Keymaster

      Hi Jennifer,

      Which profile screen are you having trouble on? The regular Admin profile screen or some alternate screen like the one provided by bbPress and membership plugins?

      As for not seeing the Digest options on the profile screen, you’ll only see them if the user’s role is set to receive notifications in bbpnns settings under Admin > Settings > Forums.

    • #4477
      Jennifer Anderson
      Participant

      Yes, I am aware of the notification settings and it is not showing for any member who has those settings.

      It is happening on the edit page on the bbpress profile. I click update and I get that error.

    • #4478
      vinny
      Keymaster

      Please create an admin account for me so I can have a look. Email: vinny [at] usestrict [dot] net.

    • #4480
      vinny
      Keymaster

      Hi Jennifer,

      The problem seems to be happening because jQuery is throwing an error during the positioning of the fields (I used the same method to position fields for both Opt-Out and Digests plugins).

      I’m releasing versions without that positioning. It should fix the problem (I can’t replicate it locally, but I managed to track down the issue on your site).

      I’ve also noticed that you have an update blocker plugin installed. You’re several versions behind the current bbpnns. I strongly recommend that you stay up to date on all plugins, themes, and core for security reasons.

      With that blocking, you will also not receive notifications of the fixes I’m releasing.

      Cheers,
      Vinny

    • #4481
      Jennifer Anderson
      Participant

      I just downloaded the bbpnns the day before yesterday when I bought the subscription from your site, however I cannot find a way to download it again.

      I turn off the update blocker when I want to update. I don’t let it do any updates automatically and the notices drive me and my fellow admins nuts. So I’ll turn that on and see if I get an update message.

      When will you be releasing new versions of these plugins so I can tell my members how long they have to wait?

      Thank you.

    • #4483
      vinny
      Keymaster

      The update is already available. Turn off the blocker, go to Updates, and if they don’t appear, click ‘Check Again’ a couple of times until they do. Also please update bbpnns to the latest version (1.14.2 as of this writing).

      Cheers,
      Vinny

    • #4484
      Jennifer Anderson
      Participant

      OK, I’ll have the check this later this evening. I’ll let you know.

      Thanks,

      Jennifer

    • #4488
      Jennifer Anderson
      Participant

      Ok, I updated the main plugin, but the two I just purchased have no updates available and no files for me to download in my account here. I activated them again and the issue persists.

      Can you just send me the updated plugins? I either need to get this fixed soon or I just need to remove your plugins and let my users subscribe on the forum itself to what they want to. I’m getting complaints about not being able to opt out.

    • #4490
      vinny
      Keymaster

      I’ve emailed you the files to the address you used when you set up the account. Note that I went into your site and disabled the update blocker to see if it was reaching the update api and it was. I saw the hits in the logs. However, something on your site is messing up the updates from non-WP.org sites (mine, at least).

      To make sure it wasn’t the updater code that was causing the problem, I tested it on usestrict.net and it worked fine. I recommend setting up a staging site with the plugins and older version strings and deactivating all other plugins just to see if the update notice reaches you. Then activate one by one to see which one is messing things up.

      If you leave it the way it is, you won’t be able to receive updates (and I do have some coming up soon).

      Cheers,
      Vinny

    • #4504
      Jennifer Anderson
      Participant

      Hi Vinny,

      The new files worked great! So far, it all seems to be working OK.

      I do have one more question. Any idea how to get these options to display in the bottom of the bbpress profile edit page. It kind of plunked it right in the middle of the basic account stuff and it would look a lot nicer at the bottom. Any ideas?

      I also checked the Both box under email types. Hopefully that will take care of that character issue.

      Thanks again for all your help!!

    • #4507
      vinny
      Keymaster

      I suspect just changing the mailout type won’t fix the character issue. Please check the collation of your posts table and let me know what it is so I can investigate further.

      As for the positioning of the fields, I’ll see what I can do. I used to have jQuery moving them after the accounts fields, but in your case that was causing jQuery to raise an error and not render the fields (and the nonce security field). Because they weren’t rendered, the back-end check would die with the error you were seeing.

      I’ll update this thread once I release the new, fixed version in case you still don’t see the updates.

      Cheers,
      Vinny

Viewing 11 reply threads
  • You must be logged in to reply to this topic.